
_Interrupts:

	BTFSS       GIEH_bit, 2 
	GOTO        L_Interrupts0
	MOVLW       1
	ADDWF       _Nb_Over+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      _Nb_Over+1, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       _Nb_Over+0 
	MOVF        R1, 0 
	MOVWF       _Nb_Over+1 
	BCF         GIEH_bit, 2 
L_Interrupts0:
	BTFSS       RCIF_bit, 5 
	GOTO        L_Interrupts1
L_Interrupts2:
	BTFSC       SPEN1_bit, 1 
	GOTO        L__Interrupts43
	BCF         R2, 0 
	GOTO        L__Interrupts44
L__Interrupts43:
	BSF         R2, 0 
L__Interrupts44:
	BTFSC       SPEN1_bit, 2 
	GOTO        L__Interrupts45
	BCF         N_bit, 0 
	GOTO        L__Interrupts46
L__Interrupts45:
	BSF         N_bit, 0 
L__Interrupts46:
	BTFSC       R2, 0 
	GOTO        L__Interrupts47
	BTFSC       N_bit, 0 
	GOTO        L__Interrupts47
	BCF         R2, 0 
	GOTO        L__Interrupts48
L__Interrupts47:
	BSF         R2, 0 
L__Interrupts48:
	BTFSS       R2, 0 
	GOTO        L_Interrupts3
	MOVF        RCREG1, 0 
	MOVWF       _c1+0 
	BCF         SPEN1_bit, 7 
	INFSNZ      _CptErr+0, 1 
	INCF        _CptErr+1, 1 
	BSF         SPEN1_bit, 7 
	GOTO        L_Interrupts2
L_Interrupts3:
	MOVF        RCREG1, 0 
	MOVWF       _c1+0 
	MOVF        _c1+0, 0 
	XORLW       13
	MOVLW       1
	BTFSS       N_bit, 2 
	MOVLW       0
	MOVWF       R1 
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       _Index1+1, 0 
	SUBWF       R0, 0 
	BTFSS       N_bit, 2 
	GOTO        L__Interrupts49
	MOVF        _Index1+0, 0 
	SUBLW       31
L__Interrupts49:
	MOVLW       1
	BTFSC       N_bit, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R1, 0 
	IORWF       R0, 1 
	BTFSC       N_bit, 2 
	GOTO        L_Interrupts4
	MOVLW       _buffer1+0
	ADDWF       _Index1+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_buffer1+0)
	ADDWFC      _Index1+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1 
	MOVLW       1
	MOVWF       _Flag_Buffer+0 
	MOVLW       0
	MOVWF       _Flag_Buffer+1 
	BCF         RCIE_bit, 5 
	GOTO        L_Interrupts5
L_Interrupts4:
	MOVLW       _buffer1+0
	ADDWF       _Index1+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_buffer1+0)
	ADDWFC      _Index1+1, 0 
	MOVWF       FSR1H 
	MOVF        _c1+0, 0 
	MOVWF       POSTINC1 
	MOVLW       1
	ADDWF       _Index1+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      _Index1+1, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       _Index1+0 
	MOVF        R1, 0 
	MOVWF       _Index1+1 
L_Interrupts5:
	BCF         RCIF_bit, 5 
L_Interrupts1:
L_end_Interrupts:
L__Interrupts42:
	RETFIE      1
; end of _Interrupts

_Raz_Buffer:

	CLRF        _buffer1+0 
	CLRF        _j+0 
	CLRF        _j+1 
	CLRF        _Index1+0 
	CLRF        _Index1+1 
	CLRF        _Flag_Buffer+0 
	CLRF        _Flag_Buffer+1 
	CLRF        R1 
	CLRF        R2 
L_Raz_Buffer6:
	MOVLW       128
	XORWF       R2, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       N_bit, 2 
	GOTO        L__Raz_Buffer51
	MOVLW       32
	SUBWF       R1, 0 
L__Raz_Buffer51:
	BTFSC       N_bit, 0 
	GOTO        L_Raz_Buffer7
	MOVLW       _buffer1+0
	ADDWF       R1, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_buffer1+0)
	ADDWFC      R2, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1 
	INFSNZ      R1, 1 
	INCF        R2, 1 
	GOTO        L_Raz_Buffer6
L_Raz_Buffer7:
	MOVF        RCREG1, 0 
	MOVWF       R1 
	MOVLW       0
	MOVWF       R2 
	BSF         RCIE_bit, 5 
L_end_Raz_Buffer:
	RETURN      0
; end of _Raz_Buffer

_UART1_Write_CText:

L_UART1_Write_CText9:
	MOVF        FARG_UART1_Write_CText_txt1+0, 0 
	MOVWF       TBLPTRL 
	MOVF        FARG_UART1_Write_CText_txt1+1, 0 
	MOVWF       TBLPTRH 
	MOVF        FARG_UART1_Write_CText_txt1+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT, R0
	MOVF        R0, 1 
	BTFSC       N_bit, 2 
	GOTO        L_UART1_Write_CText10
	MOVF        FARG_UART1_Write_CText_txt1+0, 0 
	MOVWF       TBLPTRL 
	MOVF        FARG_UART1_Write_CText_txt1+1, 0 
	MOVWF       TBLPTRH 
	MOVF        FARG_UART1_Write_CText_txt1+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT, FARG_UART1_Write_data_+0
	CALL        _UART1_Write+0, 0
	MOVLW       1
	ADDWF       FARG_UART1_Write_CText_txt1+0, 1 
	MOVLW       0
	ADDWFC      FARG_UART1_Write_CText_txt1+1, 1 
	ADDWFC      FARG_UART1_Write_CText_txt1+2, 1 
	GOTO        L_UART1_Write_CText9
L_UART1_Write_CText10:
L_end_UART1_Write_CText:
	RETURN      0
; end of _UART1_Write_CText

_strConstRamCpy:

L_strConstRamCpy11:
	MOVF        FARG_strConstRamCpy_source+0, 0 
	MOVWF       TBLPTRL 
	MOVF        FARG_strConstRamCpy_source+1, 0 
	MOVWF       TBLPTRH 
	MOVF        FARG_strConstRamCpy_source+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT, R0
	MOVF        R0, 1 
	BTFSC       N_bit, 2 
	GOTO        L_strConstRamCpy12
	MOVF        FARG_strConstRamCpy_source+0, 0 
	MOVWF       TBLPTRL 
	MOVF        FARG_strConstRamCpy_source+1, 0 
	MOVWF       TBLPTRH 
	MOVF        FARG_strConstRamCpy_source+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT, R0
	MOVFF       FARG_strConstRamCpy_dest+0, FSR1
	MOVFF       FARG_strConstRamCpy_dest+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1 
	INFSNZ      FARG_strConstRamCpy_dest+0, 1 
	INCF        FARG_strConstRamCpy_dest+1, 1 
	MOVLW       1
	ADDWF       FARG_strConstRamCpy_source+0, 1 
	MOVLW       0
	ADDWFC      FARG_strConstRamCpy_source+1, 1 
	ADDWFC      FARG_strConstRamCpy_source+2, 1 
	GOTO        L_strConstRamCpy11
L_strConstRamCpy12:
	MOVFF       FARG_strConstRamCpy_dest+0, FSR1
	MOVFF       FARG_strConstRamCpy_dest+1, FSR1H
	CLRF        POSTINC1 
L_end_strConstRamCpy:
	RETURN      0
; end of _strConstRamCpy

_CRLF:

	MOVLW       13
	MOVWF       FARG_UART_Write__data+0 
	CALL        _UART_Write+0, 0
	MOVLW       10
	MOVWF       FARG_UART_Write__data+0 
	CALL        _UART_Write+0, 0
L_end_CRLF:
	RETURN      0
; end of _CRLF

_Float2Ascii:

	MOVF        FARG_Float2Ascii_precision+0, 0 
	SUBLW       0
	BTFSS       N_bit, 0 
	GOTO        L_Float2Ascii13
	MOVLW       7
	MOVWF       ?FLOC___Float2AsciiT48+0 
	MOVLW       0
	MOVWF       ?FLOC___Float2AsciiT48+1 
	GOTO        L_Float2Ascii14
L_Float2Ascii13:
	MOVF        FARG_Float2Ascii_precision+0, 0 
	SUBLW       22
	BTFSC       N_bit, 0 
	GOTO        L_Float2Ascii15
	MOVLW       23
	MOVWF       ?FLOC___Float2AsciiT50+0 
	MOVLW       0
	MOVWF       ?FLOC___Float2AsciiT50+1 
	GOTO        L_Float2Ascii16
L_Float2Ascii15:
	MOVF        FARG_Float2Ascii_precision+0, 0 
	ADDLW       1
	MOVWF       ?FLOC___Float2AsciiT50+0 
	CLRF        ?FLOC___Float2AsciiT50+1 
	MOVLW       0
	ADDWFC      ?FLOC___Float2AsciiT50+1, 1 
L_Float2Ascii16:
	MOVF        ?FLOC___Float2AsciiT50+0, 0 
	MOVWF       ?FLOC___Float2AsciiT48+0 
	MOVF        ?FLOC___Float2AsciiT50+1, 0 
	MOVWF       ?FLOC___Float2AsciiT48+1 
L_Float2Ascii14:
	MOVF        ?FLOC___Float2AsciiT48+0, 0 
	MOVWF       Float2Ascii_ndig_L0+0 
	MOVF        ?FLOC___Float2AsciiT48+1, 0 
	MOVWF       Float2Ascii_ndig_L0+1 
	CLRF        Float2Ascii_ie_L0+0 
	CLRF        Float2Ascii_ie_L0+1 
	CLRF        R4 
	CLRF        R5 
	CLRF        R6 
	CLRF        R7 
	MOVF        FARG_Float2Ascii_x+0, 0 
	MOVWF       R0 
	MOVF        FARG_Float2Ascii_x+1, 0 
	MOVWF       R1 
	MOVF        FARG_Float2Ascii_x+2, 0 
	MOVWF       R2 
	MOVF        FARG_Float2Ascii_x+3, 0 
	MOVWF       R3 
	CALL        _Compare_Double+0, 0
	MOVLW       1
	BTFSC       N_bit, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       N_bit, 2 
	GOTO        L_Float2Ascii17
	MOVFF       FARG_Float2Ascii_str+0, FSR1
	MOVFF       FARG_Float2Ascii_str+1, FSR1H
	MOVLW       45
	MOVWF       POSTINC1 
	INFSNZ      FARG_Float2Ascii_str+0, 1 
	INCF        FARG_Float2Ascii_str+1, 1 
	BTG         FARG_Float2Ascii_x+2, 7 
L_Float2Ascii17:
	MOVF        FARG_Float2Ascii_x+0, 0 
	MOVWF       R4 
	MOVF        FARG_Float2Ascii_x+1, 0 
	MOVWF       R5 
	MOVF        FARG_Float2Ascii_x+2, 0 
	MOVWF       R6 
	MOVF        FARG_Float2Ascii_x+3, 0 
	MOVWF       R7 
	CLRF        R0 
	CLRF        R1 
	CLRF        R2 
	CLRF        R3 
	CALL        _Compare_Double+0, 0
	MOVLW       1
	BTFSC       N_bit, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       N_bit, 2 
	GOTO        L_Float2Ascii18
L_Float2Ascii19:
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVLW       127
	MOVWF       R7 
	MOVF        FARG_Float2Ascii_x+0, 0 
	MOVWF       R0 
	MOVF        FARG_Float2Ascii_x+1, 0 
	MOVWF       R1 
	MOVF        FARG_Float2Ascii_x+2, 0 
	MOVWF       R2 
	MOVF        FARG_Float2Ascii_x+3, 0 
	MOVWF       R3 
	CALL        _Compare_Double+0, 0
	MOVLW       1
	BTFSC       N_bit, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       N_bit, 2 
	GOTO        L_Float2Ascii20
	MOVF        FARG_Float2Ascii_x+0, 0 
	MOVWF       R0 
	MOVF        FARG_Float2Ascii_x+1, 0 
	MOVWF       R1 
	MOVF        FARG_Float2Ascii_x+2, 0 
	MOVWF       R2 
	MOVF        FARG_Float2Ascii_x+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Float2Ascii_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_Float2Ascii_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_Float2Ascii_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_Float2Ascii_x+3 
	MOVLW       1
	SUBWF       Float2Ascii_ie_L0+0, 1 
	MOVLW       0
	SUBWFB      Float2Ascii_ie_L0+1, 1 
	GOTO        L_Float2Ascii19
L_Float2Ascii20:
L_Float2Ascii18:
L_Float2Ascii21:
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	MOVF        FARG_Float2Ascii_x+0, 0 
	MOVWF       R0 
	MOVF        FARG_Float2Ascii_x+1, 0 
	MOVWF       R1 
	MOVF        FARG_Float2Ascii_x+2, 0 
	MOVWF       R2 
	MOVF        FARG_Float2Ascii_x+3, 0 
	MOVWF       R3 
	CALL        _Compare_Double+0, 0
	MOVLW       0
	BTFSC       N_bit, 0 
	MOVLW       1
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       N_bit, 2 
	GOTO        L_Float2Ascii22
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	MOVF        FARG_Float2Ascii_x+0, 0 
	MOVWF       R0 
	MOVF        FARG_Float2Ascii_x+1, 0 
	MOVWF       R1 
	MOVF        FARG_Float2Ascii_x+2, 0 
	MOVWF       R2 
	MOVF        FARG_Float2Ascii_x+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Float2Ascii_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_Float2Ascii_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_Float2Ascii_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_Float2Ascii_x+3 
	INFSNZ      Float2Ascii_ie_L0+0, 1 
	INCF        Float2Ascii_ie_L0+1, 1 
	GOTO        L_Float2Ascii21
L_Float2Ascii22:
	MOVF        Float2Ascii_ie_L0+0, 0 
	ADDWF       Float2Ascii_ndig_L0+0, 1 
	MOVF        Float2Ascii_ie_L0+1, 0 
	ADDWFC      Float2Ascii_ndig_L0+1, 1 
	MOVLW       1
	MOVWF       Float2Ascii_i_L0+0 
	MOVLW       0
	MOVWF       Float2Ascii_i_L0+1 
	MOVLW       1
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	CALL        _Int2Double+0, 0
	MOVF        R0, 0 
	MOVWF       Float2Ascii_y_L0+0 
	MOVF        R1, 0 
	MOVWF       Float2Ascii_y_L0+1 
	MOVF        R2, 0 
	MOVWF       Float2Ascii_y_L0+2 
	MOVF        R3, 0 
	MOVWF       Float2Ascii_y_L0+3 
L_Float2Ascii23:
	MOVLW       128
	XORWF       Float2Ascii_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	XORWF       Float2Ascii_ndig_L0+1, 0 
	SUBWF       R0, 0 
	BTFSS       N_bit, 2 
	GOTO        L__Float2Ascii56
	MOVF        Float2Ascii_ndig_L0+0, 0 
	SUBWF       Float2Ascii_i_L0+0, 0 
L__Float2Ascii56:
	BTFSC       N_bit, 0 
	GOTO        L_Float2Ascii24
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	MOVF        Float2Ascii_y_L0+0, 0 
	MOVWF       R0 
	MOVF        Float2Ascii_y_L0+1, 0 
	MOVWF       R1 
	MOVF        Float2Ascii_y_L0+2, 0 
	MOVWF       R2 
	MOVF        Float2Ascii_y_L0+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       Float2Ascii_y_L0+0 
	MOVF        R1, 0 
	MOVWF       Float2Ascii_y_L0+1 
	MOVF        R2, 0 
	MOVWF       Float2Ascii_y_L0+2 
	MOVF        R3, 0 
	MOVWF       Float2Ascii_y_L0+3 
	INFSNZ      Float2Ascii_i_L0+0, 1 
	INCF        Float2Ascii_i_L0+1, 1 
	GOTO        L_Float2Ascii23
L_Float2Ascii24:
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	MOVF        Float2Ascii_y_L0+0, 0 
	MOVWF       R0 
	MOVF        Float2Ascii_y_L0+1, 0 
	MOVWF       R1 
	MOVF        Float2Ascii_y_L0+2, 0 
	MOVWF       R2 
	MOVF        Float2Ascii_y_L0+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_FP+0, 0
	MOVF        FARG_Float2Ascii_x+0, 0 
	MOVWF       R4 
	MOVF        FARG_Float2Ascii_x+1, 0 
	MOVWF       R5 
	MOVF        FARG_Float2Ascii_x+2, 0 
	MOVWF       R6 
	MOVF        FARG_Float2Ascii_x+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Float2Ascii_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_Float2Ascii_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_Float2Ascii_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_Float2Ascii_x+3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	CALL        _Compare_Double+0, 0
	MOVLW       0
	BTFSC       N_bit, 0 
	MOVLW       1
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       N_bit, 2 
	GOTO        L_Float2Ascii26
	MOVLW       0
	MOVWF       FARG_Float2Ascii_x+0 
	MOVLW       0
	MOVWF       FARG_Float2Ascii_x+1 
	MOVLW       0
	MOVWF       FARG_Float2Ascii_x+2 
	MOVLW       127
	MOVWF       FARG_Float2Ascii_x+3 
	INFSNZ      Float2Ascii_ie_L0+0, 1 
	INCF        Float2Ascii_ie_L0+1, 1 
L_Float2Ascii26:
	MOVLW       128
	XORWF       Float2Ascii_ie_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       N_bit, 2 
	GOTO        L__Float2Ascii57
	MOVLW       0
	SUBWF       Float2Ascii_ie_L0+0, 0 
L__Float2Ascii57:
	BTFSC       N_bit, 0 
	GOTO        L_Float2Ascii27
	MOVFF       FARG_Float2Ascii_str+0, FSR1
	MOVFF       FARG_Float2Ascii_str+1, FSR1H
	MOVLW       48
	MOVWF       POSTINC1 
	INFSNZ      FARG_Float2Ascii_str+0, 1 
	INCF        FARG_Float2Ascii_str+1, 1 
	MOVFF       FARG_Float2Ascii_str+0, FSR1
	MOVFF       FARG_Float2Ascii_str+1, FSR1H
	MOVLW       46
	MOVWF       POSTINC1 
	INFSNZ      FARG_Float2Ascii_str+0, 1 
	INCF        FARG_Float2Ascii_str+1, 1 
	MOVLW       128
	XORWF       Float2Ascii_ndig_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       N_bit, 2 
	GOTO        L__Float2Ascii58
	MOVLW       0
	SUBWF       Float2Ascii_ndig_L0+0, 0 
L__Float2Ascii58:
	BTFSC       N_bit, 0 
	GOTO        L_Float2Ascii28
	MOVF        Float2Ascii_ndig_L0+0, 0 
	SUBWF       Float2Ascii_ie_L0+0, 1 
	MOVF        Float2Ascii_ndig_L0+1, 0 
	SUBWFB      Float2Ascii_ie_L0+1, 1 
L_Float2Ascii28:
	MOVLW       255
	MOVWF       Float2Ascii_i_L0+0 
	MOVLW       255
	MOVWF       Float2Ascii_i_L0+1 
L_Float2Ascii29:
	MOVLW       128
	XORWF       Float2Ascii_ie_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	XORWF       Float2Ascii_i_L0+1, 0 
	SUBWF       R0, 0 
	BTFSS       N_bit, 2 
	GOTO        L__Float2Ascii59
	MOVF        Float2Ascii_i_L0+0, 0 
	SUBWF       Float2Ascii_ie_L0+0, 0 
L__Float2Ascii59:
	BTFSC       N_bit, 0 
	GOTO        L_Float2Ascii30
	MOVFF       FARG_Float2Ascii_str+0, FSR1
	MOVFF       FARG_Float2Ascii_str+1, FSR1H
	MOVLW       48
	MOVWF       POSTINC1 
	INFSNZ      FARG_Float2Ascii_str+0, 1 
	INCF        FARG_Float2Ascii_str+1, 1 
	MOVLW       1
	SUBWF       Float2Ascii_i_L0+0, 1 
	MOVLW       0
	SUBWFB      Float2Ascii_i_L0+1, 1 
	GOTO        L_Float2Ascii29
L_Float2Ascii30:
L_Float2Ascii27:
	CLRF        Float2Ascii_i_L0+0 
	CLRF        Float2Ascii_i_L0+1 
L_Float2Ascii32:
	MOVLW       128
	XORWF       Float2Ascii_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	XORWF       Float2Ascii_ndig_L0+1, 0 
	SUBWF       R0, 0 
	BTFSS       N_bit, 2 
	GOTO        L__Float2Ascii60
	MOVF        Float2Ascii_ndig_L0+0, 0 
	SUBWF       Float2Ascii_i_L0+0, 0 
L__Float2Ascii60:
	BTFSC       N_bit, 0 
	GOTO        L_Float2Ascii33
	MOVF        FARG_Float2Ascii_x+0, 0 
	MOVWF       R0 
	MOVF        FARG_Float2Ascii_x+1, 0 
	MOVWF       R1 
	MOVF        FARG_Float2Ascii_x+2, 0 
	MOVWF       R2 
	MOVF        FARG_Float2Ascii_x+3, 0 
	MOVWF       R3 
	CALL        _Double2Int+0, 0
	MOVF        R0, 0 
	MOVWF       Float2Ascii_k_L0+0 
	MOVF        R1, 0 
	MOVWF       Float2Ascii_k_L0+1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVFF       FARG_Float2Ascii_str+0, FSR1
	MOVFF       FARG_Float2Ascii_str+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1 
	INFSNZ      FARG_Float2Ascii_str+0, 1 
	INCF        FARG_Float2Ascii_str+1, 1 
	MOVF        Float2Ascii_i_L0+1, 0 
	XORWF       Float2Ascii_ie_L0+1, 0 
	BTFSS       N_bit, 2 
	GOTO        L__Float2Ascii61
	MOVF        Float2Ascii_ie_L0+0, 0 
	XORWF       Float2Ascii_i_L0+0, 0 
L__Float2Ascii61:
	BTFSS       N_bit, 2 
	GOTO        L_Float2Ascii35
	MOVFF       FARG_Float2Ascii_str+0, FSR1
	MOVFF       FARG_Float2Ascii_str+1, FSR1H
	MOVLW       46
	MOVWF       POSTINC1 
	INFSNZ      FARG_Float2Ascii_str+0, 1 
	INCF        FARG_Float2Ascii_str+1, 1 
L_Float2Ascii35:
	MOVF        Float2Ascii_k_L0+0, 0 
	MOVWF       R0 
	MOVF        Float2Ascii_k_L0+1, 0 
	MOVWF       R1 
	CALL        _Int2Double+0, 0
	MOVF        R0, 0 
	MOVWF       Float2Ascii_y_L0+0 
	MOVF        R1, 0 
	MOVWF       Float2Ascii_y_L0+1 
	MOVF        R2, 0 
	MOVWF       Float2Ascii_y_L0+2 
	MOVF        R3, 0 
	MOVWF       Float2Ascii_y_L0+3 
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVF        FARG_Float2Ascii_x+0, 0 
	MOVWF       R0 
	MOVF        FARG_Float2Ascii_x+1, 0 
	MOVWF       R1 
	MOVF        FARG_Float2Ascii_x+2, 0 
	MOVWF       R2 
	MOVF        FARG_Float2Ascii_x+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Float2Ascii_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_Float2Ascii_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_Float2Ascii_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_Float2Ascii_x+3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Float2Ascii_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_Float2Ascii_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_Float2Ascii_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_Float2Ascii_x+3 
	INFSNZ      Float2Ascii_i_L0+0, 1 
	INCF        Float2Ascii_i_L0+1, 1 
	GOTO        L_Float2Ascii32
L_Float2Ascii33:
	MOVFF       FARG_Float2Ascii_str+0, FSR1
	MOVFF       FARG_Float2Ascii_str+1, FSR1H
	CLRF        POSTINC1 
L_end_Float2Ascii:
	RETURN      0
; end of _Float2Ascii

_main:

	BCF         C1CH1_bit, 7 
	BCF         C2CH1_bit, 7 
	CLRF        ANSB5_bit 
	CLRF        RB0_bit 
	CLRF        TRISB0_bit 
	CLRF        ANSE2_bit 
	CLRF        TRISE0_bit 
	MOVLW       255
	MOVWF       RE0_bit 
	MOVLW       255
	MOVWF       TRISD0_bit 
	CLRF        ANSA5_bit 
	MOVLW       255
	MOVWF       RA0_bit 
	MOVLW       223
	MOVWF       TRISA0_bit 
	CLRF        ANSC7_bit 
	CLRF        RC0_bit 
	MOVLW       255
	MOVWF       TRISC0_bit 
	MOVLW       _TEXTE+0
	MOVWF       _txt+0 
	MOVLW       hi_addr(_TEXTE+0)
	MOVWF       _txt+1 
	BSF         SCKP_BAUD1CON_bit, 3, 0
	MOVLW       1
	MOVWF       SPBRGH1 
	MOVLW       3
	MOVWF       SPBRG1 
	BSF         CSRC1_bit, 2, 0
	CALL        _UART1_Init+0, 0
	MOVLW       _UART1_Read+0
	MOVWF       FARG_UART_Set_Active_read_ptr+0 
	MOVLW       hi_addr(_UART1_Read+0)
	MOVWF       FARG_UART_Set_Active_read_ptr+1 
	MOVLW       0
	MOVWF       FARG_UART_Set_Active_read_ptr+2 
	MOVLW       0
	MOVWF       FARG_UART_Set_Active_read_ptr+3 
	MOVLW       _UART1_Write+0
	MOVWF       FARG_UART_Set_Active_write_ptr+0 
	MOVLW       hi_addr(_UART1_Write+0)
	MOVWF       FARG_UART_Set_Active_write_ptr+1 
	MOVLW       FARG_UART1_Write_data_+0
	MOVWF       FARG_UART_Set_Active_write_ptr+2 
	MOVLW       hi_addr(FARG_UART1_Write_data_+0)
	MOVWF       FARG_UART_Set_Active_write_ptr+3 
	MOVLW       _UART1_Data_Ready+0
	MOVWF       FARG_UART_Set_Active_ready_ptr+0 
	MOVLW       hi_addr(_UART1_Data_Ready+0)
	MOVWF       FARG_UART_Set_Active_ready_ptr+1 
	MOVLW       0
	MOVWF       FARG_UART_Set_Active_ready_ptr+2 
	MOVLW       0
	MOVWF       FARG_UART_Set_Active_ready_ptr+3 
	MOVLW       _UART1_Tx_Idle+0
	MOVWF       FARG_UART_Set_Active_tx_idle_ptr+0 
	MOVLW       hi_addr(_UART1_Tx_Idle+0)
	MOVWF       FARG_UART_Set_Active_tx_idle_ptr+1 
	MOVLW       0
	MOVWF       FARG_UART_Set_Active_tx_idle_ptr+2 
	MOVLW       0
	MOVWF       FARG_UART_Set_Active_tx_idle_ptr+3 
	CALL        _UART_Set_Active+0, 0
	MOVLW       12
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
	MOVLW       _mesg0+0
	MOVWF       FARG_UART1_Write_CText_txt1+0 
	MOVLW       hi_addr(_mesg0+0)
	MOVWF       FARG_UART1_Write_CText_txt1+1 
	MOVLW       higher_addr(_mesg0+0)
	MOVWF       FARG_UART1_Write_CText_txt1+2 
	CALL        _UART1_Write_CText+0, 0
	MOVF        _txt+0, 0 
	MOVWF       FARG_strConstRamCpy_dest+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_strConstRamCpy_dest+1 
	MOVLW       _mesg1+0
	MOVWF       FARG_strConstRamCpy_source+0 
	MOVLW       hi_addr(_mesg1+0)
	MOVWF       FARG_strConstRamCpy_source+1 
	MOVLW       higher_addr(_mesg1+0)
	MOVWF       FARG_strConstRamCpy_source+2 
	CALL        _strConstRamCpy+0, 0
	MOVF        _txt+0, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	MOVLW       ?lstr_1_18F46K22_UART_test_COS+0
	MOVWF       FARG_UART1_Write_CText_txt1+0 
	MOVLW       hi_addr(?lstr_1_18F46K22_UART_test_COS+0)
	MOVWF       FARG_UART1_Write_CText_txt1+1 
	MOVLW       higher_addr(?lstr_1_18F46K22_UART_test_COS+0)
	MOVWF       FARG_UART1_Write_CText_txt1+2 
	CALL        _UART1_Write_CText+0, 0
	CLRF        _i+0 
	CLRF        _i+1 
L_main36:
	MOVLW       0
	SUBWF       _i+1, 0 
	BTFSS       N_bit, 2 
	GOTO        L__main63
	MOVLW       90
	SUBWF       _i+0, 0 
L__main63:
	BTFSC       N_bit, 0 
	GOTO        L_main37
	MOVF        _i+0, 0 
	MOVWF       R0 
	MOVF        _i+1, 0 
	MOVWF       R1 
	CALL        _Word2Double+0, 0
	MOVF        R0, 0 
	MOVWF       _df1+0 
	MOVF        R1, 0 
	MOVWF       _df1+1 
	MOVF        R2, 0 
	MOVWF       _df1+2 
	MOVF        R3, 0 
	MOVWF       _df1+3 
	MOVLW       208
	MOVWF       R4 
	MOVLW       15
	MOVWF       R5 
	MOVLW       73
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       52
	MOVWF       R6 
	MOVLW       134
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _df1+0 
	MOVF        R1, 0 
	MOVWF       _df1+1 
	MOVF        R2, 0 
	MOVWF       _df1+2 
	MOVF        R3, 0 
	MOVWF       _df1+3 
	MOVF        R0, 0 
	MOVWF       FARG_cos_f+0 
	MOVF        R1, 0 
	MOVWF       FARG_cos_f+1 
	MOVF        R2, 0 
	MOVWF       FARG_cos_f+2 
	MOVF        R3, 0 
	MOVWF       FARG_cos_f+3 
	CALL        _cos+0, 0
	MOVF        R0, 0 
	MOVWF       _df2+0 
	MOVF        R1, 0 
	MOVWF       _df2+1 
	MOVF        R2, 0 
	MOVWF       _df2+2 
	MOVF        R3, 0 
	MOVWF       _df2+3 
	MOVLW       ?lstr_2_18F46K22_UART_test_COS+0
	MOVWF       FARG_UART1_Write_CText_txt1+0 
	MOVLW       hi_addr(?lstr_2_18F46K22_UART_test_COS+0)
	MOVWF       FARG_UART1_Write_CText_txt1+1 
	MOVLW       higher_addr(?lstr_2_18F46K22_UART_test_COS+0)
	MOVWF       FARG_UART1_Write_CText_txt1+2 
	CALL        _UART1_Write_CText+0, 0
	MOVF        _i+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        _i+1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVF        _txt+0, 0 
	MOVWF       FARG_WordToStr_output+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
	MOVF        _txt+0, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	MOVLW       9
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
	MOVF        _df2+0, 0 
	MOVWF       FARG_Float2Ascii_x+0 
	MOVF        _df2+1, 0 
	MOVWF       FARG_Float2Ascii_x+1 
	MOVF        _df2+2, 0 
	MOVWF       FARG_Float2Ascii_x+2 
	MOVF        _df2+3, 0 
	MOVWF       FARG_Float2Ascii_x+3 
	MOVLW       _CRam1+0
	MOVWF       FARG_Float2Ascii_str+0 
	MOVLW       hi_addr(_CRam1+0)
	MOVWF       FARG_Float2Ascii_str+1 
	MOVLW       5
	MOVWF       FARG_Float2Ascii_precision+0 
	CALL        _Float2Ascii+0, 0
	MOVLW       _CRam1+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(_CRam1+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	CALL        _CRLF+0, 0
	INFSNZ      _i+0, 1 
	INCF        _i+1, 1 
	GOTO        L_main36
L_main37:
L_main39:
	GOTO        L_main39
L_end_main:
	GOTO        $+0
; end of _main
