#line 1 "C:/_MikroC/_MesProjets_MikroC/_18F46K22_for_Tests/18F46K22_UART_test_COS.c"
#line 24 "C:/_MikroC/_MesProjets_MikroC/_18F46K22_for_Tests/18F46K22_UART_test_COS.c"
const code char mesg0[]="Divers test avec 18F46K22 Q=20MHz x 4\r\n";
const code char mesg1[]="RS232 UART1  avec interface 2T\r\n";
const code char mesg2[]="Version : "  "16-07-2015" "\r\n MikroC Pro 6.40\r\n";
const code char * Messages[]={mesg0,mesg1,mesg2};






sbit Led_Blanche at LATA5_bit ;

unsigned char TEXTE[64];
unsigned char *txt;
unsigned char buffer1[64];
unsigned char CRam1[32];
char *p1;

unsigned int i,j,k,l;
unsigned int M;
unsigned int cnt;

volatile unsigned char c1;
volatile int Flag_Buffer;
volatile int Index1;
volatile unsigned int CptErr;
volatile unsigned int Nb_Pulses;
volatile unsigned int Nb_Over ;
volatile unsigned int Count1;

float f1,f2;
float Volt;

double df1,df2;



void strConstRamCpy(char *dest, const char *source);
void UART1_Write_CText(const char *txt);
void CRLF();



void Interrupts() iv 0x0008 ics ICS_AUTO
{
 if( INTCON.TMR0IF==1)
 {
 Nb_Over++;
 INTCON.TMR0IF=0;
 }
if (PIR1.RCIF==1)
 {
 while ((RCSTA.OERR==1)| (RCSTA.FERR==1))
 {
 c1=RCREG;
 RCSTA.SPEN=0;
 CptErr=CptErr + 1;
 RCSTA.SPEN=1;
 };

 c1 = RCREG;
 if ((c1==13)| (Index1>31))
 {
 buffer1[Index1]=0;
 Flag_Buffer=1;
 PIE1.RCIE=0 ;
 }
 else
 {
 buffer1[Index1]=c1;
 Index1++;
 }
 PIR1.RCIF=0 ;
 }
#line 117 "C:/_MikroC/_MesProjets_MikroC/_18F46K22_for_Tests/18F46K22_UART_test_COS.c"
 }


void Raz_Buffer()
{ int i;
 buffer1[0]=0;
 j=0;
 Index1=0;
 Flag_Buffer =0;

 for(i=0;i<32;i++)buffer1[i]=0;
 i=RCREG;
 RCIE_bit = 1;
}

void UART1_Write_CText(const char *txt1)
 {
 while (*txt1)
 UART1_Write(*txt1++);
}



void strConstRamCpy(char *dest, const char *source) {
 while(*source) *dest++ = *source++ ;
 *dest = 0 ;
}

void CRLF()
{
 UART_Write( 13 );
 UART_Write( 10 );
}



void Float2Ascii (float x, unsigned char *str,char precision)
{



int ie, i, k, ndig;
 double y;

 ndig = ( precision<=0) ? 7 : (precision > 22 ? 23 : precision+1);
 ie = 0;

 if ( x < 0)
 {
 *str++ = '-';
 x = -x;
 }

 if (x > 0.0) while (x < 1.0)
 {
 x *= 10.0;
 ie--;
 }
 while (x >= 10.0)
 {
 x = x/10.0;
 ie++;
 }

 ndig += ie;


 for (y = i = 1; i < ndig; i++)
 y = y/10.;
 x += y/2.;
 if (x >= 10.0) {x = 1.0; ie++;}
 if (ie<0)
 {
 *str++ = '0'; *str++ = '.';
 if (ndig < 0) ie = ie-ndig;
 for (i = -1; i > ie; i--) *str++ = '0';
 }
 for (i=0; i < ndig; i++)
 {
 k = x;
 *str++ = k + '0';
 if (i == ie ) *str++ = '.';
 x -= (y=k);
 x *= 10.0;
 }
 *str = '\0';

}



void main ()
{
 C1ON_bit = 0;
 C2ON_bit = 0;
 ANSELB=0;
 PORTB = 0x00;
 TRISB = 0;
 ANSELE=0;
 TRISE=0;
 PORTE=0xFF;
 TRISD=0xFF;

 ANSELA=0;
 PORTA = 0xFF;
 TRISA = 0b11011111;
 ANSELC=0;
 PORTC = 0x00;
 TRISC = 0xFF;

 txt=&TEXTE[0];
 UART1_Init(19200);
 UART_Set_Active(&UART1_Read, &UART1_Write, &UART1_Data_Ready, &UART1_Tx_Idle);
 UART1_Write( 12 );
 UART1_Write_CText(mesg0);

 strConstRamCpy(txt,mesg1); UART1_Write_Text(txt);

 UART1_Write_CText("Test calcul cosinus Angle\r\n ");
 for (i=0;i<90;i++)
 {
 df1=(double)i ;
 df1=df1 *  3.14159  /180.0;
 df2=cos(df1);
 UART1_Write_CText("Cos ");
 WordToStr(i, txt);
 UART1_Write_Text(txt);
 UART1_Write( 9 );
 Float2Ascii (df2,CRam1,5);
 UART1_Write_Text(CRam1);
 CRLF();
 }
 while(1);

}
